html,
body {
  margin: 0;
  padding: 0;
}

html {
  min-height: 100vh;
  min-height: 100dvh;
}

body {
  height: 100%;
  position: relative;
  overflow: hidden;
}

body::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #fff;
  opacity: 0;
  transition: opacity 1s ease-in;
  z-index: 10;
}

.img__wrap {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: transform 1s ease-in;
}

body.anim:after {
  opacity: 1;
}

body.anim .img__wrap {
  transform: scale(1.7);
}

.img__wrap img {
  max-width: 90%;
  max-height: 90%;
}